Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class FontRenderer

    java.lang.Object
      net.minecraft.src.FontRenderer

    public class FontRenderer

extends Object

Field Summary
`int` | `FONT_HEIGHT` the height in pixels of default text
`Random` | `fontRandom`
`int` | `fontTextureName`

Constructor Summary
`FontRenderer(GameSettings par1GameSettings, String par2Str, RenderEngine par3RenderEngine, boolean par4)`

Method Summary
`void` | `drawSplitString(String par1Str, int par2, int par3, int par4, int par5)` Splits and draws a String with wordwrap (maximum length is parameter k)
`int` | `drawString(String par1Str, int par2, int par3, int par4)` Draws the specified string.
`int` | `drawStringWithShadow(String par1Str, int par2, int par3, int par4)` Draws the specified string with a shadow.
`int` | `func_85187_a(String par1Str, int par2, int par3, int par4, boolean par5)`
`boolean` | `getBidiFlag()` Get bidiFlag that controls if the Unicode Bidirectional Algorithm should be run before rendering any string
`int` | `getCharWidth(char par1)` Returns the width of this character as rendered.
`int` | `getStringWidth(String par1Str)` Returns the width of this string.
`boolean` | `getUnicodeFlag()` Get unicodeFlag controlling whether strings should be rendered with Unicode fonts instead of the default.png font.
`List` | `listFormattedStringToWidth(String par1Str, int par2)` Breaks a string into a list of pieces that will fit a specified width.
`void` | `setBidiFlag(boolean par1)` Set bidiFlag to control if the Unicode Bidirectional Algorithm should be run before rendering any string.
`void` | `setUnicodeFlag(boolean par1)` Set unicodeFlag controlling whether strings should be rendered with Unicode fonts instead of the default.png font.
`int` | `splitStringWidth(String par1Str, int par2)` Returns the width of the wordwrapped String (maximum length is parameter k)
`String` | `trimStringToWidth(String par1Str, int par2)` Trims a string to fit a specified Width.
`String` | `trimStringToWidth(String par1Str, int par2, boolean par3)` Trims a string to a specified width, and will reverse it if par3 is set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fontTextureName

    public int fontTextureName

### FONT_HEIGHT

    public int FONT_HEIGHT

  the height in pixels of default text

### fontRandom

    public Random fontRandom

Constructor Detail

### FontRenderer

    public FontRenderer(GameSettings par1GameSettings,
                        String par2Str,
                        RenderEngine par3RenderEngine,
                        boolean par4)

Method Detail

### drawStringWithShadow

    public int drawStringWithShadow(String par1Str,
                                    int par2,
                                    int par3,
                                    int par4)

  Draws the specified string with a shadow.

### drawString

    public int drawString(String par1Str,
                          int par2,
                          int par3,
                          int par4)

  Draws the specified string.

### func_85187_a

    public int func_85187_a(String par1Str,
                            int par2,
                            int par3,
                            int par4,
                            boolean par5)

### getStringWidth

    public int getStringWidth(String par1Str)

  Returns the width of this string. Equivalent of FontMetrics.stringWidth(String s).

### getCharWidth

    public int getCharWidth(char par1)

  Returns the width of this character as rendered.

### trimStringToWidth

    public String trimStringToWidth(String par1Str,
                                    int par2)

  Trims a string to fit a specified Width.

### trimStringToWidth

    public String trimStringToWidth(String par1Str,
                                    int par2,
                                    boolean par3)

  Trims a string to a specified width, and will reverse it if par3 is set.

### drawSplitString

    public void drawSplitString(String par1Str,
                                int par2,
                                int par3,
                                int par4,
                                int par5)

  Splits and draws a String with wordwrap (maximum length is parameter k)

### splitStringWidth

    public int splitStringWidth(String par1Str,
                                int par2)

  Returns the width of the wordwrapped String (maximum length is parameter k)

### setUnicodeFlag

    public void setUnicodeFlag(boolean par1)

  Set unicodeFlag controlling whether strings should be rendered with Unicode fonts instead of the default.png font.

### getUnicodeFlag

    public boolean getUnicodeFlag()

  Get unicodeFlag controlling whether strings should be rendered with Unicode fonts instead of the default.png font.

### setBidiFlag

    public void setBidiFlag(boolean par1)

  Set bidiFlag to control if the Unicode Bidirectional Algorithm should be run before rendering any string.

### listFormattedStringToWidth

    public List listFormattedStringToWidth(String par1Str,
                                           int par2)

  Breaks a string into a list of pieces that will fit a specified width.

### getBidiFlag

    public boolean getBidiFlag()

  Get bidiFlag that controls if the Unicode Bidirectional Algorithm should be run before rendering any string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD